| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Functions | Variables
DataObjectHandleBase.cpp File Reference
`#include "GaudiKernel/DataObjectHandleBase.h"`
`#include "GaudiKernel/Algorithm.h"`
`#include "GaudiKernel/AlgTool.h"`
`#include "GaudiKernel/IDataProviderSvc.h"`
`#include "GaudiKernel/ServiceLocatorHelper.h"`
`#include <sstream>`
`#include <string>`
`#include <ostream>`
Include dependency graph for DataObjectHandleBase.cpp:

Go to the source code of this file.

## Functions
std::ostream & | operator<< (std::ostream &str, const DataObjectHandleBase &d)

## Variables
const DataObjID | INVALID_DATAOBJID = DataObjID()

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | str,
|  | const DataObjectHandleBase & | d
| ) |  |

Definition at line 102 of file DataObjectHandleBase.cpp.

102 {
103
104 str << d.fullKey() << " m: " << d.mode();
105 if (d.owner() != 0) {
106 str << " o: " << d.owner()->name();
107 }
108
109 str << " opt: " << d.isOptional();
110
111 if (d.alternativeDataProductNames().size() != 0) {
112 str << " alt: [";
113 for ( auto &n : d.alternativeDataProductNames()) {
114 str << n << ",";
115 }
116 str << "]";
117 }
118
119 return str;
120 }
Gaudi::DataHandle::mode
virtual Mode mode() const
Definition: DataHandle.h:47
GaudiPluginService.cpluginsvc.n
list n
Definition: cpluginsvc.py:217
INamedInterface::name
virtual const std::string & name() const =0
Retrieve the name of the instance.
Gaudi::DataHandle::fullKey
virtual const DataObjID & fullKey() const
Definition: DataHandle.h:53
std::vector::size
T size(T...args)
DataObjectHandleBase::isOptional
bool isOptional() const
Check if the data object declared is optional for the algorithm.
Definition: DataObjectHandleBase.h:45
DataObjectHandleBase::alternativeDataProductNames
const std::vector< std::string > & alternativeDataProductNames() const
Definition: DataObjectHandleBase.h:48
Gaudi::DataHandle::owner
virtual IDataHandleHolder * owner() const
Definition: DataHandle.h:45

## Variable Documentation

const DataObjID INVALID_DATAOBJID = DataObjID()

Definition at line 11 of file DataObjectHandleBase.cpp.